org.apache.hadoop.yarn.state

## Class Graph.Edge

- java.lang.Object
- - org.apache.hadoop.yarn.state.Graph.Edge

- Enclosing class:
    Graph

      public class Graph.Edge
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Edge(Graph.Node from, Graph.Node to, String info)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Graph.Edge` | `combine(Graph.Edge rhs)`
    `boolean` | `sameAs(Graph.Edge rhs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Edge

          public Edge(Graph.Node from,
                      Graph.Node to,
                      String info)

  - ### Method Detail

    - #### sameAs

          public boolean sameAs(Graph.Edge rhs)

    - #### combine

          public Graph.Edge combine(Graph.Edge rhs)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.